# Uses of Class
com.google.protobuf.Timestamp

Packages that use Timestamp
Package
Description
com.google.protobuf

## Uses of Timestamp in com.google.protobuf

Methods in com.google.protobuf that return Timestamp
Modifier and Type
Method
Description
`Timestamp`
Timestamp.Builder.`build()`
`Timestamp`
Timestamp.Builder.`buildPartial()`
`static Timestamp`
Timestamp.`getDefaultInstance()`
`Timestamp`
Timestamp.Builder.`getDefaultInstanceForType()`
`Timestamp`
Timestamp.`getDefaultInstanceForType()`
`static Timestamp`
Timestamp.`parseDelimitedFrom(InputStream input)`
`static Timestamp`
Timestamp.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Timestamp`
Timestamp.`parseFrom(byte[] data)`
`static Timestamp`
Timestamp.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Timestamp`
Timestamp.`parseFrom(ByteString data)`
`static Timestamp`
Timestamp.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Timestamp`
Timestamp.`parseFrom(CodedInputStream input)`
`static Timestamp`
Timestamp.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Timestamp`
Timestamp.`parseFrom(InputStream input)`
`static Timestamp`
Timestamp.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Timestamp`
Timestamp.`parseFrom(ByteBuffer data)`
`static Timestamp`
Timestamp.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Timestamp
Modifier and Type
Method
Description
`Parser<Timestamp>`
Timestamp.`getParserForType()`
`static Parser<Timestamp>`
Timestamp.`parser()`
Methods in com.google.protobuf with parameters of type Timestamp
Modifier and Type
Method
Description
`Timestamp.Builder`
Timestamp.Builder.`mergeFrom(Timestamp other)`
`static Timestamp.Builder`
Timestamp.`newBuilder(Timestamp prototype)`